Index: flashchips.c
===================================================================
--- flashchips.c	(revision 773)
+++ flashchips.c	(working copy)
@@ -3341,6 +3341,22 @@
 	},
 
 	{
+		.vendor		= "Sanyo",
+		.name		= "unknown Sanyo SPI chip",
+		.bustype	= CHIP_BUSTYPE_SPI,
+		.manufacture_id	= SANYO_ID,
+		.model_id	= GENERIC_DEVICE_ID,
+		.total_size	= 0,
+		.page_size	= 256,
+		.tested		= TEST_BAD_PREW,
+		.probe		= probe_spi_rdid,
+		.probe_timing	= TIMING_ZERO,
+		.erase		= NULL,
+		.write		= NULL,
+		.read		= NULL,
+	},
+
+	{
 		.vendor		= "Generic",
 		.name		= "unknown SPI chip (RDID)",
 		.bustype	= CHIP_BUSTYPE_SPI,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 773)
+++ flashchips.h	(working copy)
@@ -326,6 +326,14 @@
 #define PMC_49FL002		0x6D
 #define PMC_49FL004		0x6E
 
+/* 
+ * The Sanyo chip found so far uses SPI, first byte is manufacture code,
+ * second byte is the device code,
+ * third byte is a dummy byte.
+ */
+#define SANYO_ID		0x62
+#define SANYO_LE25FW203A	0x1600
+
 #define SHARP_ID		0xB0	/* Sharp */
 #define SHARP_LH28F008BJxxPT	0xEC
 #define SHARP_LH28F008BJxxPB	0xED
